package com.yonge.cooleshow.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_news_type):
 */
public class SysNewsType {

	/**  */
	@ApiModelProperty("id")
	private Long id;
	

	/**  */
	@ApiModelProperty("名称")
	private String name;

	@ApiModelProperty("图片url")
	private String url;
	
	/**  */
	@ApiModelProperty("上级id")
	private Long parentId;
	
	/**  */

	private Boolean delFlag= false;

	@ApiModelProperty("排序")
	private Integer order;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}


	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setParentId(Long parentId){
		this.parentId = parentId;
	}
	
	public Long getParentId(){
		return this.parentId;
	}
			
	public void setDelFlag(boolean delFlag){
		this.delFlag = delFlag;
	}
	
	public boolean isDelFlag(){
		return this.delFlag;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

}
